Voiceflow bearer token
Check function
curl --request POST \
--url https://realtime-api.voiceflow.com/v1/stable/function/<functionID>/check \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"cases": [
{
"name": "<string>",
"inputs": {},
"expectPath": "<string>",
"expectOutputs": {}
}
]
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/function/<functionID>/check?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"cases": [
{
"name": "<string>",
"inputs": {},
"expectPath": "<string>",
"expectOutputs": {}
}
]
}),
});
const data = await response.json();import requests
response = requests.post(
'https://realtime-api.voiceflow.com/v1/stable/function/<functionID>/check?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"cases": [
{
"name": "<string>",
"inputs": {},
"expectPath": "<string>",
"expectOutputs": {}
}
]
},
)
data = response.json()vf function check --function-id <functionID> --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"checked": false,
"reason": "<string>"
}Run a function’s saved code on test cases and compare the results.
Paste in your agent
1. Set up Voiceflow by following https://www.voiceflow.com/agents/setup 2. Read https://www.voiceflow.com/docs/api-reference/function/check-function.md — the Voiceflow documentation page "Check function". Use it to help me with this part of Voiceflow and answer my questions. Refer to https://www.voiceflow.com/docs/llms.txt if you need related documentation.
Prompt copied. Paste in your agent.
POST
/v1/stable/function/{functionID}/check
Check function
curl --request POST \
--url https://realtime-api.voiceflow.com/v1/stable/function/<functionID>/check \
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json' \
--data '{
"cases": [
{
"name": "<string>",
"inputs": {},
"expectPath": "<string>",
"expectOutputs": {}
}
]
}'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/function/<functionID>/check?projectID=<projectID>&environmentAlias=<environmentAlias>', {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"cases": [
{
"name": "<string>",
"inputs": {},
"expectPath": "<string>",
"expectOutputs": {}
}
]
}),
});
const data = await response.json();import requests
response = requests.post(
'https://realtime-api.voiceflow.com/v1/stable/function/<functionID>/check?projectID=<projectID>&environmentAlias=<environmentAlias>',
headers={'Authorization': 'Bearer <token>'},
json={
"cases": [
{
"name": "<string>",
"inputs": {},
"expectPath": "<string>",
"expectOutputs": {}
}
]
},
)
data = response.json()vf function check --function-id <functionID> --project-id <projectID> --environment-alias <environmentAlias> \
< body.json{
"checked": false,
"reason": "<string>"
}Authorizations
Query Parameters
Body
Show child attributes
Response
200 - application/jsonShow child attributes
Option 1
Option 2
Show child attributes
Was this page helpful?
Thanks for your feedback.